> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Model

> 
Retrieve details for a specific custom model by ID.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/models/{model_id}
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/models/{model_id}:
    get:
      tags:
        - Models
      summary: Get Model
      description: |-

        Retrieve details for a specific custom model by ID.
      operationId: get_get_model
      parameters:
        - name: model_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                  name:
                    title: Name
                    type: string
                  display_name:
                    title: Display Name
                    type:
                      - string
                      - 'null'
                  provider_name:
                    title: Provider Name
                    type: string
                  provider_info:
                    title: Provider Info
                    additionalProperties:
                      type: string
                    type:
                      - object
                      - 'null'
                  supports_tool_use:
                    title: Supports Tool Use
                    type: boolean
                  model_family:
                    title: Model Family
                    type: string
                  model_version:
                    title: Model Version
                    type: string
                  created_at:
                    format: date-time
                    title: Created At
                    type: string
                required:
                  - id
                  - name
                  - display_name
                  - provider_name
                  - provider_info
                  - supports_tool_use
                  - model_family
                  - model_version
                  - created_at
                title: ModelReplicationInfo
                type: object
          description: >-
            ModelReplicationInfo(id: uuid.UUID, name: str, display_name:
            Optional[str], provider_name: str, provider_info: Optional[dict[str,
            str]], supports_tool_use: bool, model_family: str, model_version:
            str, created_at: datetime.datetime)
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````